
#ifndef EC_UTIL_H
#define EC_UTIL_H

#include "structures.h"

void ec_flux (ConservedVars &ecF, const ConservedVars &lU, const ConservedVars &rU, const XtraVars &lXU, const XtraVars &rXU, int d);

// computes average (left + right)/2
real avg  (const real &left, const real &right);

// computes jump (right - left)
real jump (const real &left, const real &right);

// computes the Roe matrix R
void compute_R (real R [3][3], const ConservedVars &lCV, const ConservedVars &rCV, const XtraVars &lXV, const XtraVars &rXV, int d);

// computes inverse of the Roe matrix R
void compute_Rinv (real R [3][3], const ConservedVars &lCV, const ConservedVars &rCV, const XtraVars &lXV, const XtraVars &rXV, int d);

// computes the transpose of a given matrix R
void transpose (real R [3][3]);

#endif
