
#include "main.h"
#include "chaos.h"

///::title:: Dambreak with random high water level (1D version)
///::vars:: NX=512 MAXT=0.1 BED_OFFSET=0.7 BED_SCALING=0.2
///::consts:: MAXX=2 N_UNIFORM=1 N_NORMAL=0
///::macro:: SOURCE_HOOK topography.h compute_source(i,j);
///::bc:: NEUMANN

void init_cell(PrimitiveVars &v, real x, real y, real z)
{
  if (x < 1.0)
    v.h = 2.0 + 0.1*chaos.uniform[0];
  else
    v.h = 1.5;
}
