
#include "equation.h"
#include "chaos.h"

///::title:: Riemann initial data with normally random shock location
///::vars:: NX=512 MAXT=0.1
///::consts:: MAXX=2 N_UNIFORM=0 N_NORMAL=1
///::bc:: NEUMANN

void init_cell(PrimitiveVars &v, real x, real y, real z)
{
  if (x < 1 + 0.03*chaos.normal[0])
    v.u = 2.0;
  else
    v.u = 1.0;
}