
#include "topography.h"

#include "equation.h"
#include "multi.h"
#include "chaos.h"

#define HEIGHT 1.0
#define WIDTH 0.2
#define CENTER 1.0
#define PERTURBATION 0.2

///::title:: Bump (1D version)
///::consts:: T_UNIFORM=1 T_NORMAL=0

// parabolic "bump" centered at CENTER, with given HEIGHT and width being 2*WIDTH is perturbed with +/- PERTURBATION

real b (real x, real y) {
  real height = HEIGHT + PERTURBATION * (1 - 2*chaos.t_uniform[0]);
  return BED_OFFSET + BED_SCALING * ( fabs(x-CENTER) < WIDTH ? height - sqr(x-CENTER)*(height / sqr(WIDTH)) : 0.0 );
}
